astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Pix2Sky_ConicOrthomorphic

# Pix2Sky_ConicOrthomorphic

class `astropy.modeling.projections.``Pix2Sky_ConicOrthomorphic`

  Bases: `astropy.modeling.projections.Pix2SkyProjection`, `astropy.modeling.projections.Conic`

  Conic orthomorphic projection - pixel to sky.

  Corresponds to the `COO` projection in FITS WCS.

  See `Conic` for a description of the entire equation.

  The projection formulæ are:

  C &= \frac{\ln \left( \frac{\cos\theta_2}{\cos\theta_1} \right)} {\ln \left[ \frac{\tan\left(\frac{90^\circ-\theta_2}{2}\right)} {\tan\left(\frac{90^\circ-\theta_1}{2}\right)} \right] } \\ R_\theta &= \psi \left[ \tan \left( \frac{90^\circ - \theta}{2} \right) \right]^C \\ Y_0 &= \psi \left[ \tan \left( \frac{90^\circ - \theta_a}{2} \right) \right]^C

  where:

  \psi = \frac{180^\circ}{\pi} \frac{\cos \theta} {C\left[\tan\left(\frac{90^\circ-\theta}{2}\right)\right]^C}

  Parameters:

  sigma : float

  > (\theta_1 + \theta_2) / 2, where \theta_1 and \theta_2 are the latitudes of the standard parallels, in degrees. Default is 90.

  delta : float

  > (\theta_1 - \theta_2) / 2, where \theta_1 and \theta_2 are the latitudes of the standard parallels, in degrees. Default is 0.

  Attributes Summary

  `param_names` |

  Methods Summary

  `evaluate`(x, y, sigma, delta) |

  Attributes Documentation

  `param_names` = ('sigma', 'delta')

  Methods Documentation

  classmethod `evaluate`(x, y, sigma, delta)